Launch Solution
GET
/v1/portal/launches/{solution_id}
const url = 'https://example.com/v1/portal/launches/example?tenant_id=&repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&repository_key=&ide=&redirect=true&local_vscode=false&ttl_seconds=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/launches/example?tenant_id=&repo_slug=&branch=&workspace_name=&resource_ref=&project_slug=&repository_key=&ide=&redirect=true&local_vscode=false&ttl_seconds=0'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”solution_id
required
Solution Id
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
repo_slug
Repo Slug
string
branch
Branch
string
workspace_name
Workspace Name
string
resource_ref
Resource Ref
string
project_slug
Project Slug
string
repository_key
Repository Key
string
ide
Ide
string
redirect
Redirect
boolean
local_vscode
Local Vscode
boolean
ttl_seconds
Ttl Seconds
integer
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalLaunchOut
object
solution_id
required
Solution Id
string
target_url
required
Target Url
string
workspace_url
Workspace Url
string
resource_ref
Resource Ref
string
request_id
Request Id
string
workspace_hydration_state
Workspace Hydration State
string
workspace_lease_ttl_seconds
Workspace Lease Ttl Seconds
integer
workspace_lease_expires_at
Workspace Lease Expires At
string
workspace_lease_extend_url
Workspace Lease Extend Url
string
report
Report
object
key
additional properties
any
Example
{ "workspace_url": "", "resource_ref": "", "request_id": "", "workspace_hydration_state": "", "workspace_lease_ttl_seconds": 0, "workspace_lease_expires_at": "", "workspace_lease_extend_url": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}